{% extends 'base_articles.html' %}


{% block content %}
     <header class="container_judul">
        <h1 class="landing_judul">
            Tambahkan Artikel
        </h1>
    </header>
     <section class="container_form">
        <form id="formUtama" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="hidden" name="penulis" id="id_penulis">

            <div id="div_id_kategori" class="form-group">
                <label for="id_kategori" class=" requiredField"> Kategori<span class="asteriskField">*</span></label>
                <div class=""> <select name="kategori" class="select form-control" id="id_kategori">
                    <option value="Umum" selected="">Umum</option>
                    <option value="Kesehatan">Kesehatan</option>
                    <option value="Teknologi">Teknologi</option>
                    <option value="Politik">Politik</option>
                    <option value="Ekonomi">Ekonomi</option>
                    <option value="Sosial">Sosial</option>
                    <option value="Pendidikan">Pendidikan</option>
                    <option value="Makanan">Makanan</option>
                    <option value="Alam">Alam</option>
                </select>
                </div>
            </div>

            <div id="div_id_tanggal" class="form-group"> <label for="id_tanggal" class=" requiredField">
                Tanggal<span class="asteriskField">*</span> </label> <div class=""> <input type="text" name="tanggal" class="dateinput form-control" required="" id="id_tanggal"> </div> </div>

            <div id="div_id_judul" class="form-group"> <label for="id_judul" class=" requiredField">
                Judul<span class="asteriskField">*</span> </label> <div class=""> <input type="text" name="judul" maxlength="75" class="textinput textInput form-control" required="" id="id_judul"> </div> </div>

            <div id="div_id_isi_artikel" class="form-group"> <label for="id_isi_artikel" class=" requiredField">
                Isi Artikel<span class="asteriskField">*</span> </label> <div class=""> <textarea name="isi_artikel" cols="40" rows="10" maxlength="1000" minlength="300" class="textarea form-control" required="" id="id_isi_artikel"></textarea> </div> </div>

            <div id="div_id_gambar_artikel" class="form-group"> <label for="id_gambar_artikel" class=" requiredField">
                Gambar Artikel<span class="asteriskField">*</span> </label> <div class=""> <input type="file" name="gambar_artikel" accept="image/*" class="clearablefileinput form-control-file" required="" id="id_gambar_artikel"> </div> </div>

             <input type="submit" value="Submit" class="btn btn-primary" id="submitButton" />

        </form>
     </section>


    <script type="text/javascript">
        $(document).on("submit" , "#formUtama", function (e) {
            e.preventDefault();
            var formutama2 = document.getElementById("formUtama");
            var formData = new FormData(formutama2);
            $.ajax({
                type: 'POST',
                url: '/insertAjaxArticles/',
                data: formData,
                success:function () {
                        $(".container_form").append(
                            "<div class='alert'>" + "<span class=\"closebtn\" onclick=\"this.parentElement.style.display='none';\">&times;</span>\n" +
                            "Artikel berhasil ditambahkan" + "</div>"
                        );
                    $('#formUtama').trigger('reset');
                },
                cache: false,
                contentType: false,
                processData: false,
            });
        });
    </script>

     <script>
        $(function () {
          $("#id_tanggal").datepicker({
          format:'yyyy-mm-dd',
        });
        });
    </script>
{% endblock %}